Bug 718668 - focus move is slow with ibus-gnome3
focus move is slow with ibus-gnome3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-04 04:37 EDT by Akira TAGOH
Modified: 2012-04-11 22:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: ibus-1.4.99.20120317-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:30:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2011-07-04 04:37:54 EDT
Description of problem:
Comparing with/without ibus running with -gnome3 support, the focus move becomes slower.

Version-Release number of selected component (if applicable):
ibus-1.3.99.20110419-7.fc15

How reproducible:
always

Steps to Reproduce:
1.open two applications
2.switch the focus between them
3.stop ibus and try 2)
  
Actual results:
the focus move is slower than no ibus running or ibus running without -gnome3.

Expected results:
no delay on the focus move.

Additional info:
Comment 1 fujiwara 2011-08-08 02:51:42 EDT
Currently the new Control+Space feature is available in f16 or later.
I thought your problem is that ibus sometimes looses Control + Space.
But it seems your problem is that focus move is slow.

Probably I don't understand this bug but I fixed some bugs in ibus-1.3.99.20110419-13.fc16.
So I think it's good to check if this bug is fixed in the latest.
Comment 2 fujiwara 2011-08-15 04:10:03 EDT
I added ibus-1.3.99.20110419-14.fc16 to resolve gnome-shell compatible issues.
Comment 3 sangu 2011-08-19 00:33:32 EDT
This issue still seems to happens in ibus-1.3.99.20110419-16.fc16.x86_64.
Comment 4 Akira TAGOH 2011-09-14 00:18:30 EDT
this issue still persists with:

ibus-1.3.99.20110817-5.fc16.x86_64
ibus-gnome3-1.3.99.20110817-5.fc16.x86_64

on the sloppy focus mode.
Comment 5 ekes 2011-10-09 05:27:04 EDT
ibus-1.4.0-3.fc16.x86_64
ibus-gnome3-1.4.0-3.fc16.x86_64

Here issue is as described, but... for non gnome programs like Firefox it's per-field swapping. ie If I go to the search box now I'll have to wait till I get a cursor.

In all cases if I start typing before focus I get the characters typed in the wrong keyboard layout when it does appear. Once focus is there it is the correct layout.
Comment 6 Matt Chan 2011-12-02 22:37:58 EST
I think I ran into the same bug when trying to debug something else.

I was experiencing slow switching and freezing between terminal tabs when the IBus language gnome-shell extension was enabled. I was able to work around it by disabling the ibus language display extension with gnome tweak-tool. 

My input language switching was still enabled, but I wasn't able to see it anymore in the display bar. It was much faster though.

I'm away from my fedora system for the weekend. Can someone else verify if this is the same bug?

Matt
Comment 7 Fedora Update System 2012-03-18 06:12:39 EDT
ibus-1.4.99.20120317-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20120317-1.fc17
Comment 8 Fedora Update System 2012-03-18 15:33:47 EDT
Package ibus-1.4.99.20120317-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.99.20120317-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4134/ibus-1.4.99.20120317-1.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-04-11 22:30:48 EDT
ibus-1.4.99.20120317-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.